Class | Stella::Session
In: | lib/stella/client.rb
Parent: | Object

### Methods

clear_previous_request content_type? cookie cookies current_event doc error fail find_response_handler follow form forms generate_request handle_response handler location new prepare_request quit redirect? repeat response response_handler response_handler? status wait

### External Aliases

params | -> | param
headers | -> | header
vars | -> | session

### Attributes

base_uri | [RW] |
events | [R] |
exception | [RW] |
headers | [RW] |
http_auth | [R] |
http_client | [RW] |
http_method | [RW] |
params | [RW] |
previous_doc | [R] |
redirect_uri | [RW] |
req | [R] |
res | [R] |
response_handler | [R] |
rt | [R] |
uri | [RW] |
vars | [R] |

### Public Class methods

new(base_uri=nil)

### Public Instance methods

clear_previous_request()
content_type?(guess)
cookie()
cookies()

Alias for cookie

current_event()
doc()
error(msg=nil)
fail(msg=nil)
find_response_handler(status)
follow(uri=nil,&blk)
form()
forms()

Alias for form

generate_request(event_id)
handle_response()
handler(range=nil, &blk)

Alias for response_handler

location()
prepare_request(uc, rt)
quit(msg=nil)
redirect?()
repeat(t=1)
response(range=nil, &blk)

Alias for response_handler

response_handler(range=nil, &blk)
response_handler?()
status()
wait(t)

[Validate]